Bug 3801 - c99 mode compilations
c99 mode compilations
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.23
SGI IRIX
: P3 normal
: none
Assigned To: James Peach
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-25 08:48 UTC by Jason Mader
Modified: 2006-06-23 00:30 UTC (History)
1 user (show)

See Also:


Attachments
config.log (49.46 KB, application/octet-stream)
2006-06-07 11:09 UTC, Jason Mader
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mader 2006-05-25 08:48:11 UTC
In 3.0.23rc1, for many of the source files, this warning now appears:

Compiling smbd/password.c
cc-1035 cc: WARNING File = /usr/include/stdint.h, Line = 5
  #error directive:  This header file is to be used only for c99 mode
          compilations

  #error This header file is to be used only for c99 mode compilations
   ^
Comment 1 Jason Mader 2006-05-25 08:54:54 UTC
mitigated by building with the MIPSpro c99 compiler.
Comment 2 James Peach (outdated mail address) 2006-06-07 01:29:41 UTC
(In reply to comment #1)
> mitigated by building with the MIPSpro c99 compiler.
> 

Can you please post config.log and the output of configure?
Comment 3 Jason Mader 2006-06-07 11:09:51 UTC
Created attachment 1951 [details]
config.log

SAMBA VERSION: 3.0.23rc1
checking for -fPIE... 
checking for gcc... cc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables... 
checking for suffix of object files... o
checking whether we are using the GNU C compiler... no
checking whether cc accepts -g... yes
checking for cc option to accept ANSI C... none needed
checking for gcc... (cached) cc
checking whether we are using the GNU C compiler... (cached) no
checking whether cc accepts -g... (cached) yes
checking for cc option to accept ANSI C... (cached) none needed
checking how to run the C preprocessor... cc -E
checking for a BSD-compatible install... ./install-sh -c
checking for gawk... no
checking for mawk... no
checking for nawk... nawk
checking for perl... /usr/sbin/perl
checking for ar... ar
checking if the linker (ld) is GNU ld... no
checking for library containing strerror... none required
checking whether cc understands -c and -o together... yes
checking that the C compiler understands -Werror... yes
checking that the C compiler understands volatile... yes
checking uname -s... IRIX64
checking uname -r... 6.5
checking uname -m... IP35
checking uname -p... mips
checking build system type... mips-sgi-irix6.5
checking host system type... mips-sgi-irix6.5
checking target system type... mips-sgi-irix6.5
checking config.cache system type... same
checking for inline... __inline
checking for egrep... grep -E
checking for ANSI C header files... yes
checking for dirent.h that defines DIR... yes
checking for library containing opendir... none required
checking whether time.h and sys/time.h may both be included... yes
checking for sys/wait.h that is POSIX.1 compatible... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking aio.h usability... yes
checking aio.h presence... yes
checking for aio.h... yes
checking arpa/inet.h usability... yes
checking arpa/inet.h presence... yes
checking for arpa/inet.h... yes
checking sys/fcntl.h usability... yes
checking sys/fcntl.h presence... yes
checking for sys/fcntl.h... yes
checking sys/select.h usability... yes
checking sys/select.h presence... yes
checking for sys/select.h... yes
checking fcntl.h usability... yes
checking fcntl.h presence... yes
checking for fcntl.h... yes
checking sys/time.h usability... yes
checking sys/time.h presence... yes
checking for sys/time.h... yes
checking sys/unistd.h usability... yes
checking sys/unistd.h presence... yes
checking for sys/unistd.h... yes
checking rpc/nettype.h usability... yes
checking rpc/nettype.h presence... yes
checking for rpc/nettype.h... yes
checking for unistd.h... (cached) yes
checking utime.h usability... yes
checking utime.h presence... yes
checking for utime.h... yes
checking grp.h usability... yes
checking grp.h presence... yes
checking for grp.h... yes
checking sys/id.h usability... no
checking sys/id.h presence... no
checking for sys/id.h... no
checking for memory.h... (cached) yes
checking alloca.h usability... yes
checking alloca.h presence... yes
checking for alloca.h... yes
checking limits.h usability... yes
checking limits.h presence... yes
checking for limits.h... yes
checking float.h usability... yes
checking float.h presence... yes
checking for float.h... yes
checking rpc/rpc.h usability... yes
checking rpc/rpc.h presence... yes
checking for rpc/rpc.h... yes
checking rpcsvc/nis.h usability... no
checking rpcsvc/nis.h presence... no
checking for rpcsvc/nis.h... no
checking rpcsvc/ypclnt.h usability... yes
checking rpcsvc/ypclnt.h presence... yes
checking for rpcsvc/ypclnt.h... yes
checking sys/param.h usability... yes
checking sys/param.h presence... yes
checking for sys/param.h... yes
checking ctype.h usability... yes
checking ctype.h presence... yes
checking for ctype.h... yes
checking for sys/wait.h... (cached) yes
checking sys/resource.h usability... yes
checking sys/resource.h presence... yes
checking for sys/resource.h... yes
checking sys/ioctl.h usability... yes
checking sys/ioctl.h presence... yes
checking for sys/ioctl.h... yes
checking sys/ipc.h usability... yes
checking sys/ipc.h presence... yes
checking for sys/ipc.h... yes
checking sys/prctl.h usability... yes
checking sys/prctl.h presence... yes
checking for sys/prctl.h... yes
checking sys/mman.h usability... yes
checking sys/mman.h presence... yes
checking for sys/mman.h... yes
checking sys/filio.h usability... yes
checking sys/filio.h presence... yes
checking for sys/filio.h... yes
checking sys/priv.h usability... no
checking sys/priv.h presence... no
checking for sys/priv.h... no
checking sys/shm.h usability... yes
checking sys/shm.h presence... yes
checking for sys/shm.h... yes
checking for string.h... (cached) yes
checking for strings.h... (cached) yes
checking for stdlib.h... (cached) yes
checking sys/socket.h usability... yes
checking sys/socket.h presence... yes
checking for sys/socket.h... yes
checking sys/un.h usability... yes
checking sys/un.h presence... yes
checking for sys/un.h... yes
checking sys/mount.h usability... yes
checking sys/mount.h presence... yes
checking for sys/mount.h... yes
checking sys/vfs.h usability... yes
checking sys/vfs.h presence... yes
checking for sys/vfs.h... yes
checking sys/fs/s5param.h usability... no
checking sys/fs/s5param.h presence... no
checking for sys/fs/s5param.h... no
checking sys/filsys.h usability... no
checking sys/filsys.h presence... no
checking for sys/filsys.h... no
checking termios.h usability... yes
checking termios.h presence... yes
checking for termios.h... yes
checking termio.h usability... yes
checking termio.h presence... yes
checking for termio.h... yes
checking sys/termio.h usability... yes
checking sys/termio.h presence... yes
checking for sys/termio.h... yes
checking sys/statfs.h usability... yes
checking sys/statfs.h presence... yes
checking for sys/statfs.h... yes
checking sys/dustat.h usability... no
checking sys/dustat.h presence... no
checking for sys/dustat.h... no
checking sys/statvfs.h usability... yes
checking sys/statvfs.h presence... yes
checking for sys/statvfs.h... yes
checking stdarg.h usability... yes
checking stdarg.h presence... yes
checking for stdarg.h... yes
checking sys/sockio.h usability... yes
checking sys/sockio.h presence... yes
checking for sys/sockio.h... yes
checking sys/sysmacros.h usability... yes
checking sys/sysmacros.h presence... yes
checking for sys/sysmacros.h... yes
checking security/_pam_macros.h usability... no
checking security/_pam_macros.h presence... no
checking for security/_pam_macros.h... no
checking dlfcn.h usability... yes
checking dlfcn.h presence... yes
checking for dlfcn.h... yes
checking sys/syslog.h usability... yes
checking sys/syslog.h presence... yes
checking for sys/syslog.h... yes
checking syslog.h usability... yes
checking syslog.h presence... yes
checking for syslog.h... yes
checking langinfo.h usability... yes
checking langinfo.h presence... yes
checking for langinfo.h... yes
checking locale.h usability... yes
checking locale.h presence... yes
checking for locale.h... yes
checking sys/dmi.h usability... yes
checking sys/dmi.h presence... yes
checking for sys/dmi.h... yes
checking xfs/dmapi.h usability... no
checking xfs/dmapi.h presence... no
checking for xfs/dmapi.h... no
checking sys/jfsdmapi.h usability... no
checking sys/jfsdmapi.h presence... no
checking for sys/jfsdmapi.h... no
checking sys/dmapi.h usability... no
checking sys/dmapi.h presence... no
checking for sys/dmapi.h... no
checking for rpcsvc/yp_prot.h... yes
checking sys/mode.h usability... no
checking sys/mode.h presence... yes
configure: WARNING: sys/mode.h: present but cannot be compiled
configure: WARNING: sys/mode.h:     check for missing prerequisite headers?
configure: WARNING: sys/mode.h: see the Autoconf documentation
configure: WARNING: sys/mode.h:     section "Present But Cannot Be Compiled"
configure: WARNING: sys/mode.h: proceeding with the preprocessor's result
configure: WARNING: sys/mode.h: in the future, the compiler will take precedence
configure: WARNING:     ## ------------------------------------------ ##
configure: WARNING:     ## Report this to the AC_PACKAGE_NAME lists.  ##
configure: WARNING:     ## ------------------------------------------ ##
checking for sys/mode.h... yes
checking CoreFoundation/CFStringEncodingConverter.h usability... no
checking CoreFoundation/CFStringEncodingConverter.h presence... no
checking for CoreFoundation/CFStringEncodingConverter.h... no
checking CFStringEncodingConverter.h usability... no
checking CFStringEncodingConverter.h presence... no
checking for CFStringEncodingConverter.h... no
checking valgrind.h usability... no
checking valgrind.h presence... no
checking for valgrind.h... no
checking valgrind/valgrind.h usability... no
checking valgrind/valgrind.h presence... no
checking for valgrind/valgrind.h... no
checking valgrind/memcheck.h usability... no
checking valgrind/memcheck.h presence... no
checking for valgrind/memcheck.h... no
checking shadow.h usability... yes
checking shadow.h presence... yes
checking for shadow.h... yes
checking netinet/tcp.h usability... yes
checking netinet/tcp.h presence... yes
checking for netinet/tcp.h... yes
checking netinet/in_systm.h usability... yes
checking netinet/in_systm.h presence... yes
checking for netinet/in_systm.h... yes
checking netinet/in_ip.h usability... no
checking netinet/in_ip.h presence... no
checking for netinet/in_ip.h... no
checking nss.h usability... no
checking nss.h presence... no
checking for nss.h... no
checking nss_common.h usability... no
checking nss_common.h presence... no
checking for nss_common.h... no
checking nsswitch.h usability... no
checking nsswitch.h presence... no
checking for nsswitch.h... no
checking ns_api.h usability... yes
checking ns_api.h presence... yes
checking for ns_api.h... yes
checking sys/security.h usability... no
checking sys/security.h presence... no
checking for sys/security.h... no
checking security/pam_appl.h usability... no
checking security/pam_appl.h presence... no
checking for security/pam_appl.h... no
checking stropts.h usability... yes
checking stropts.h presence... yes
checking for stropts.h... yes
checking poll.h usability... yes
checking poll.h presence... yes
checking for poll.h... yes
checking syscall.h usability... no
checking syscall.h presence... no
checking for syscall.h... no
checking sys/syscall.h usability... yes
checking sys/syscall.h presence... yes
checking for sys/syscall.h... yes
checking sys/acl.h usability... yes
checking sys/acl.h presence... yes
checking for sys/acl.h... yes
checking sys/attributes.h usability... yes
checking sys/attributes.h presence... yes
checking for sys/attributes.h... yes
checking attr/xattr.h usability... no
checking attr/xattr.h presence... no
checking for attr/xattr.h... no
checking sys/xattr.h usability... no
checking sys/xattr.h presence... no
checking for sys/xattr.h... no
checking sys/extattr.h usability... no
checking sys/extattr.h presence... no
checking for sys/extattr.h... no
checking sys/uio.h usability... yes
checking sys/uio.h presence... yes
checking for sys/uio.h... yes
checking sys/ea.h usability... no
checking sys/ea.h presence... no
checking for sys/ea.h... no
checking sys/proplist.h usability... no
checking sys/proplist.h presence... no
checking for sys/proplist.h... no
checking sys/cdefs.h usability... yes
checking sys/cdefs.h presence... yes
checking for sys/cdefs.h... yes
checking glob.h usability... yes
checking glob.h presence... yes
checking for glob.h... yes
checking for netinet/ip.h... yes
checking for net/if.h... yes
checking for security/pam_modules.h... no
checking utmp.h usability... yes
checking utmp.h presence... yes
checking for utmp.h... yes
checking utmpx.h usability... yes
checking utmpx.h presence... yes
checking for utmpx.h... yes
checking lastlog.h usability... yes
checking lastlog.h presence... yes
checking for lastlog.h... yes
checking for int... yes
checking size of int... 4
checking for long... yes
checking size of long... 4
checking for long long... yes
checking size of long long... 8
checking for short... yes
checking size of short... 2
checking for an ANSI C-conforming const... yes
checking for inline... (cached) __inline
checking whether byte ordering is bigendian... yes
checking whether char is unsigned... yes
checking return type of signal handlers... void
checking for uid_t in sys/types.h... yes
checking for mode_t... yes
checking for off_t... yes
checking for size_t... yes
checking for pid_t... yes
checking for struct stat.st_rdev... yes
checking for d_off in dirent... yes
checking for ino_t... yes
checking for loff_t... no
checking for offset_t... no
checking for ssize_t... yes
checking for wchar_t... yes
checking for cups-config... no
checking for library containing dlopen... none required
checking for immediate structures... no
checking if the compiler will optimize out function calls... yes
checking for unix domain sockets... yes
checking for socklen_t type... yes
checking for sig_atomic_t type... yes
checking for struct timespec type... yes
checking for errno declaration... yes
checking for setresuid declaration... no
checking for setresgid declaration... no
checking for asprintf declaration... no
checking for vasprintf declaration... no
checking for vsnprintf declaration... yes
checking for snprintf declaration... yes
checking for real setresuid... no
checking for real setresgid... no
checking for working memcmp... yes
checking whether to use readline... yes
checking readline.h usability... no
checking readline.h presence... no
checking for readline.h... no
checking history.h usability... no
checking history.h presence... no
checking for history.h... no
checking readline/readline.h usability... no
checking readline/readline.h presence... no
checking for readline/readline.h... no
checking readline/history.h usability... no
checking readline/history.h presence... no
checking for readline/history.h... no
checking for readline.h... (cached) no
checking for readline/readline.h... (cached) no
checking for rl_completion_matches in -lreadline... no
checking for connect... yes
checking for library containing yp_get_default_domain... none required
checking for yp_get_default_domain... yes
checking for execl... yes
checking for dlopen... yes
checking for dlclose... yes
checking for dlsym... yes
checking for dlerror... yes
checking for waitpid... yes
checking for getcwd... yes
checking for strdup... yes
checking for strndup... no
checking for strnlen... no
checking for strtoul... yes
checking for strerror... yes
checking for chown... yes
checking for fchown... yes
checking for chmod... yes
checking for fchmod... yes
checking for chroot... yes
checking for link... yes
checking for mknod... yes
checking for mknod64... no
checking for fstat... yes
checking for strchr... yes
checking for utime... yes
checking for utimes... yes
checking for getrlimit... yes
checking for fsync... yes
checking for memset... yes
checking for strlcpy... yes
checking for strlcat... yes
checking for setpgid... yes
checking for memmove... yes
checking for vsnprintf... yes
checking for snprintf... yes
checking for asprintf... no
checking for vasprintf... no
checking for setsid... yes
checking for glob... yes
checking for strpbrk... yes
checking for pipe... yes
checking for crypt16... no
checking for getauthuid... no
checking for strftime... yes
checking for sigprocmask... yes
checking for sigblock... yes
checking for sigaction... yes
checking for sigset... yes
checking for innetgr... yes
checking for setnetgrent... yes
checking for getnetgrent... yes
checking for endnetgrent... yes
checking for initgroups... yes
checking for select... yes
checking for poll... yes
checking for rdchk... no
checking for getgrnam... yes
checking for getgrent... yes
checking for pathconf... yes
checking for realpath... yes
checking for setpriv... no
checking for setgidx... no
checking for setuidx... no
checking for setgroups... yes
checking for sysconf... yes
checking for mktime... yes
checking for rename... yes
checking for ftruncate... yes
checking for chsize... no
checking for stat64... yes
checking for fstat64... yes
checking for lstat64... yes
checking for fopen64... yes
checking for atexit... yes
checking for grantpt... yes
checking for dup2... yes
checking for lseek64... yes
checking for ftruncate64... yes
checking for fseek64... yes
checking for fseeko64... yes
checking for ftell64... yes
checking for ftello64... yes
checking for setluid... no
checking for getpwanam... no
checking for setlinebuf... yes
checking for opendir64... no
checking for readdir64... yes
checking for seekdir64... yes
checking for telldir64... yes
checking for rewinddir64... no
checking for closedir64... no
checking for getdents... yes
checking for getdents64... yes
checking for srandom... yes
checking for random... yes
checking for srand... yes
checking for rand... yes
checking for setenv... no
checking for usleep... yes
checking for strcasecmp... yes
checking for fcvt... yes
checking for fcvtl... yes
checking for symlink... yes
checking for readlink... yes
checking for syslog... yes
checking for vsyslog... yes
checking for timegm... no
checking for setlocale... yes
checking for nl_langinfo... yes
checking for nanosleep... yes
checking for mlock... yes
checking for munlock... yes
checking for mlockall... yes
checking for munlockall... yes
checking for sys/mman.h... (cached) yes
checking for setbuffer... yes
checking for shmget... yes
checking for shm_open... yes
checking execinfo.h usability... no
checking execinfo.h presence... no
checking for execinfo.h... no
checking libexc.h usability... yes
checking libexc.h presence... yes
checking for libexc.h... yes
checking libunwind.h usability... no
checking libunwind.h presence... no
checking for libunwind.h... no
checking for backtrace_symbols... no
checking for trace_back_stack in -lexc... yes
checking for libunwind... no
checking for syscall... yes
checking for _dup... yes
checking for _dup2... yes
checking for _opendir... yes
checking for _readdir... yes
checking for _seekdir... yes
checking for _telldir... yes
checking for _closedir... yes
checking for __dup... no
checking for __dup2... no
checking for __opendir... no
checking for __readdir... no
checking for __seekdir... no
checking for __telldir... no
checking for __closedir... no
checking for __getcwd... yes
checking for _getcwd... yes
checking for __xstat... no
checking for __fxstat... no
checking for __lxstat... no
checking for _stat... yes
checking for _lstat... yes
checking for _fstat... yes
checking for __stat... no
checking for __lstat... no
checking for __fstat... no
checking for _acl... no
checking for __acl... no
checking for _facl... no
checking for __facl... no
checking for _open... yes
checking for __open... no
checking for _chdir... yes
checking for __chdir... no
checking for _close... yes
checking for __close... yes
checking for _fchdir... yes
checking for __fchdir... no
checking for _fcntl... yes
checking for __fcntl... no
checking for getdents... (cached) yes
checking for __getdents... no
checking for _lseek... yes
checking for __lseek... no
checking for _read... yes
checking for __read... no
checking for getdirentries... no
checking for _write... yes
checking for __write... yes
checking for _fork... yes
checking for __fork... yes
checking for _stat64... yes
checking for __stat64... no
checking for _fstat64... yes
checking for __fstat64... no
checking for _lstat64... yes
checking for __lstat64... no
checking for __sys_llseek... no
checking for llseek... no
checking for _llseek... no
checking for __llseek... no
checking for readdir64... (cached) yes
checking for _readdir64... yes
checking for __readdir64... no
checking for pread... yes
checking for _pread... yes
checking for __pread... no
checking for pread64... yes
checking for _pread64... yes
checking for __pread64... no
checking for pwrite... yes
checking for _pwrite... yes
checking for __pwrite... no
checking for pwrite64... yes
checking for _pwrite64... yes
checking for __pwrite64... no
checking for open64... yes
checking for _open64... yes
checking for __open64... no
checking for creat64... yes
checking for prctl... yes
checking for getgrouplist... no
checking whether struct stat has sub-second timestamps... yes
checking whether struct stat has sub-second timestamps without struct timespec... 
checking for dn_expand in -lresolv... no
checking for _dn_expand in -lresolv... no
checking for __dn_expand in -lresolv... no
checking for putprpwnam... no
checking for putprpwnam in -lsecurity... no
checking for putprpwnam... (cached) no
checking for putprpwnam in -lsec... no
checking for set_auth_parameters... no
checking for set_auth_parameters in -lsecurity... no
checking for set_auth_parameters... (cached) no
checking for set_auth_parameters in -lsec... no
checking for getspnam... yes
checking for getspnam... (cached) yes
checking for getspnam... (cached) yes
checking for bigcrypt... no
checking for bigcrypt in -lsecurity... no
checking for bigcrypt... (cached) no
checking for bigcrypt in -lsec... no
checking for getprpwnam... no
checking for getprpwnam in -lsecurity... no
checking for getprpwnam... (cached) no
checking for getprpwnam in -lsec... no
checking for strsignal... no
checking for library containing getxattr... no
checking for getxattr... no
checking for lgetxattr... no
checking for fgetxattr... no
checking for listxattr... no
checking for llistxattr... no
checking for getea... no
checking for fgetea... no
checking for lgetea... no
checking for listea... no
checking for flistea... no
checking for llistea... no
checking for removeea... no
checking for fremoveea... no
checking for lremoveea... no
checking for setea... no
checking for fsetea... no
checking for lsetea... no
checking for flistxattr... no
checking for removexattr... no
checking for lremovexattr... no
checking for fremovexattr... no
checking for setxattr... no
checking for lsetxattr... no
checking for fsetxattr... no
checking for attr_get... yes
checking for attr_list... yes
checking for attr_set... yes
checking for attr_remove... yes
checking for attr_getf... yes
checking for attr_listf... yes
checking for attr_setf... yes
checking for attr_removef... yes
checking for extattr_delete_fd... no
checking for extattr_delete_file... no
checking for extattr_delete_link... no
checking for extattr_get_fd... no
checking for extattr_get_file... no
checking for extattr_get_link... no
checking for extattr_list_fd... no
checking for extattr_list_file... no
checking for extattr_list_link... no
checking for extattr_set_fd... no
checking for extattr_set_file... no
checking for extattr_set_link... no
checking ability to build shared libraries... true
checking linker flags for shared libraries... -set_version sgi1.0 -shared
checking compiler flags for position-independent code... -KPIC
checking whether building shared libraries actually works... yes
checking for long long... yes
checking for LL suffix on long long integers... yes
checking for 64 bit off_t... yes
checking for off64_t... no
checking for 64 bit ino_t... yes
checking for ino64_t... no
checking for 64 bit dev_t... no
checking for dev64_t... no
checking for struct dirent64... no
checking for struct dirent64... yes
checking for major macro... no
checking for minor macro... no
checking for makedev macro... no
checking for unsigned char... yes
checking for sin_len in sock... no
checking whether seekdir returns void... no
checking for __FUNCTION__ macro... no
checking if gettimeofday takes tz argument... yes
checking for clock_gettime... yes
checking for va_copy... no
checking for __va_copy... no
checking for C99 vsnprintf... no
checking for broken readdir name... no
checking for utimbuf... yes
checking for pututline... yes
checking for pututxline... yes
checking for updwtmp... yes
checking for updwtmpx... yes
checking for getutmpx... yes
checking for ut_name in utmp... yes
checking for ut_user in utmp... yes
checking for ut_id in utmp... yes
checking for ut_host in utmp... no
checking for ut_time in utmp... yes
checking for ut_tv in utmp... no
checking for ut_type in utmp... yes
checking for ut_pid in utmp... yes
checking for ut_exit in utmp... yes
checking for ut_addr in utmp... no
checking whether pututline returns pointer... yes
checking for ut_syslen in utmpx... yes
checking for iconv in /usr/lib32... yes
checking can we convert from CP850 to UCS2-LE?... no
checking can we convert from IBM850 to UCS2-LE?... no
checking can we convert from ASCII to UCS2-LE?... no
checking can we convert from 646 to UCS2-LE?... no
checking can we convert from UTF-8 to UCS2-LE?... no
checking can we convert from UTF8 to UCS2-LE?... no
checking for iconv in /opt/lib32... yes
checking can we convert from CP850 to UCS2-LE?... CP850
checking can we convert from ASCII to UCS2-LE?... ASCII
checking can we convert from UTF-8 to UCS2-LE?... UTF-8
checking for Linux kernel oplocks... no
checking for kernel change notify support... no
checking fam.h usability... yes
checking fam.h presence... yes
checking for fam.h... yes
checking for FAMOpen2 in -lfam... no
checking for FAMOpen2 in -lfam... yes
checking for dm_get_eventlist in -ldm... no
checking for dm_get_eventlist in -ljfsdm... no
checking for dm_get_eventlist in -lxdsm... no
checking for kernel share modes... no
checking for IRIX kernel oplock type definitions... yes
checking sys/capability.h usability... yes
checking sys/capability.h presence... yes
checking for sys/capability.h... yes
checking for cap_get_proc... yes
checking for POSIX capabilities... yes
checking for int16 typedef included by rpc/rpc.h... no
checking for uint16 typedef included by rpc/rpc.h... no
checking for int32 typedef included by rpc/rpc.h... no
checking for uint32 typedef included by rpc/rpc.h... no
checking for conflicting AUTH_ERROR define in rpc/rpc.h... no
checking for test routines... yes
checking for ftruncate extend... yes
checking for AF_LOCAL socket support... no
checking for broken getgroups... no
checking whether getpass should be replaced... yes
checking for broken inet_ntoa... no
checking for secure mkstemp... yes
checking for broken readdir... yes
checking for replacing readdir... no
checking for sysconf(_SC_NGROUPS_MAX)... yes
checking for sysconf(_SC_NPROC_ONLN)... yes
checking for sysconf(_SC_NPROCESSORS_ONLN)... no
checking for sysconf(_SC_PAGESIZE)... yes
checking for root... no
configure: WARNING: running as non-root will disable some tests
checking for iface AIX... no
checking for iface ifconf... got 3 interfaces:
lo0        IP=127.0.0.1 NETMASK=255.0.0.0
tg1        IP=161.253.154.2 NETMASK=255.255.255.192
tg2        IP=161.253.154.32 NETMASK=255.255.255.192
yes
checking for setresuid... no
checking for setreuid... yes
checking for working mmap... yes
checking for fcntl locking... yes
checking for broken (glibc2.1/x86) 64 bit fcntl locking... no
checking for 64 bit fcntl locking... yes
checking for st_blocks in struct stat... yes
checking for st_blksize in struct stat... yes
checking for broken nisplus include files... no
checking if the realpath function allows a NULL argument... no
checking whether to use smbwrapper... no
checking whether to use AFS clear-text auth... no
checking whether to use AFS fake-kaserver... no
checking whether to use AFS fake-kaserver... no
checking whether to use DFS clear-text auth... no
checking for LDAP support... no
checking for Active Directory and krb5 support... no
checking for nscd_flush_cache in -lnscd... no
checking whether to use automount... no
checking whether to use smbmount... no
checking whether to build mount.cifs and umount.cifs... no
checking whether to use PAM... no
checking for pam_get_data in -lpam... yes
checking whether to use pam_smbpass... no
checking for library containing crypt... none required
checking for a crypt that needs truncated salt... no
checking whether to use NISPLUS_HOME... no
checking whether to use syslog logging... no
checking whether to use profiling... no
checking whether to try disk-quotas support... yes
checking whether to try the new lib/sysquotas.c interface... auto
checking whether to try the lib/sysquotas.c interface on irix6.5... no
checking asm/types.h usability... no
checking asm/types.h presence... no
checking for asm/types.h... no
checking sys/fs/vx_quota.h usability... no
checking sys/fs/vx_quota.h presence... no
checking for sys/fs/vx_quota.h... no
checking sys/quota.h usability... yes
checking sys/quota.h presence... yes
checking for sys/quota.h... yes
checking for XFS QUOTA in <sys/quota.h>... yes
checking if struct dqblk has .dqb_fsoftlimit... yes
checking for long quotactl(int cmd, char *special, qid_t id, caddr_t addr)... yes
checking mntent.h usability... yes
checking mntent.h presence... yes
checking for mntent.h... yes
checking for setmntent... yes
checking for getmntent... yes
checking for endmntent... yes
checking devnm.h usability... no
checking devnm.h presence... no
checking for devnm.h... no
checking for devnm... no
checking whether the sys_quota interface works... no
checking whether the sys_quota interface works with XFS... yes
checking whether the old quota support works... yes
checking whether to use the old quota support... yes
checking whether to support utmp accounting... yes
checking whether to build the libmsrpc shared library... yes
checking whether to build the libsmbclient shared library... no
checking whether to build the libsmbsharemodes shared library... yes
configure: checking how to get filesystem space usage...
checking statvfs64 function (SVR4)... yes
checking if large file support can be enabled... yes
checking whether to support ACLs... Using IRIX ACLs
checking whether to support asynchronous io... no
checking whether to check to support sendfile... yes
checking whether to build winbind... no
checking for union nss_XbyY_key.ipnode.af_family... no
checking for struct passwd.pw_comment... yes
checking for struct passwd.pw_age... yes
checking for struct secmethod_table.method_attrlist... no
checking for struct secmethod_table.method_version... no
checking for poptGetContext in -lpopt... no
checking whether to use included popt... yes
checking for iniparser_load in -liniparser... no
checking whether to use included iniparser... yes
checking how to build pdb_ldap... not
checking how to build pdb_smbpasswd... static
checking how to build pdb_tdbsam... static
checking how to build rpc_lsa... static
checking how to build rpc_reg... static
checking how to build rpc_lsa_ds... static
checking how to build rpc_wks... static
checking how to build rpc_svcctl... static
checking how to build rpc_ntsvcs... static
checking how to build rpc_net... static
checking how to build rpc_netdfs... static
checking how to build rpc_srv... static
checking how to build rpc_spoolss... static
checking how to build rpc_eventlog... static
checking how to build rpc_samr... static
checking how to build rpc_echo... not
checking how to build idmap_ldap... not
checking how to build idmap_tdb... static
checking how to build idmap_rid... not
checking how to build idmap_ad... not
checking how to build charset_weird... not
checking how to build charset_CP850... shared
checking how to build charset_CP437... shared
checking how to build charset_macosxfs... not
checking how to build auth_sam... static
checking how to build auth_unix... static
checking how to build auth_winbind... static
checking how to build auth_server... static
checking how to build auth_domain... static
checking how to build auth_builtin... static
checking how to build auth_script... shared
checking how to build vfs_recycle... shared
checking how to build vfs_audit... shared
checking how to build vfs_extd_audit... shared
checking how to build vfs_full_audit... shared
checking how to build vfs_netatalk... shared
checking how to build vfs_fake_perms... shared
checking how to build vfs_default_quota... shared
checking how to build vfs_readonly... shared
checking how to build vfs_cap... shared
checking how to build vfs_expand_msdfs... shared
checking how to build vfs_shadow_copy... shared
checking how to build vfs_afsacl... not
checking how to build vfs_catia... not
Using libraries:
    LIBS = -lexc  -liconv
    AUTH_LIBS = 
checking configure summary... yes
configure: creating ./config.status
config.status: creating include/stamp-h
config.status: creating Makefile
config.status: creating script/findsmb
config.status: creating smbadduser
config.status: creating script/gen-8bit-gap.sh
config.status: creating script/installbin.sh
config.status: creating script/uninstallbin.sh
config.status: creating include/config.h
Comment 4 James Peach (outdated mail address) 2006-06-08 21:30:10 UTC
(In reply to comment #3)
> Created an attachment (id=1951) [edit]
> config.log
[snip]
> checking for stdint.h... yes

The corresponding info from config.log is:

    cc-1035 cc: WARNING File = /usr/include/stdint.h, Line = 5
      #error directive:  This header file is to be used only for c99 mode
	      compilations

      #error This header file is to be used only for c99 mode compilations
       ^

For some reason, cc is only emitting a warning, rather than an error. I'll
guess that if this did emit an error at this point, autoconf would simply
emit the "present but cannot be compiled" message and assume that it
was acutually available.

I don't know that there is much we can do about this one. If it's just an
annoying message, you could disable it with -woff 1035 ...
Comment 5 James Peach (outdated mail address) 2006-06-23 00:30:40 UTC
Fixed in r16482 by appending the diag_error incantation to CFLAGS to turn
warning 1035 into an error. This means we correctly find that stdint.h
is not compilable.